services:
  diag:
    image: httpd:alpine
    container_name: diag
    volumes:
      - /tmp:/usr/local/apache2/htdocs:ro
    networks:
      - frontend
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.diag.rule=Host(`diag.rsdc.fr`)"
      - "traefik.http.routers.diag.entrypoints=websecure"
      - "traefik.http.routers.diag.tls=true"
      - "traefik.http.routers.diag.tls.certresolver=letsencrypt"
      - "traefik.http.services.diag.loadbalancer.server.port=80"

networks:
  frontend:
    external: true
